VERSION 5.00
Begin VB.Form frmOpenIcon 
   BorderStyle     =   3  'Fester Dialog
   Caption         =   "Icon aus der Datei extrahieren"
   ClientHeight    =   5805
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6255
   BeginProperty Font 
      Name            =   "Arial"
      Size            =   9
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmOpenIcon.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   387
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   417
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'Bildschirmmitte
   Begin VB.CommandButton cmdMenu 
      Caption         =   "&Abbrechen"
      Height          =   375
      Index           =   1
      Left            =   4800
      TabIndex        =   7
      Top             =   5280
      Width           =   1335
   End
   Begin VB.CommandButton cmdMenu 
      Caption         =   "In &Ordnung"
      Default         =   -1  'True
      Height          =   375
      Index           =   0
      Left            =   3360
      TabIndex        =   6
      Top             =   5280
      Width           =   1335
   End
   Begin VB.Frame fra 
      Caption         =   "Datei auswhlen"
      Height          =   3135
      Index           =   0
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6015
      Begin VB.FileListBox filFile 
         BeginProperty Font 
            Name            =   "Arial"
            Size            =   8.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   2610
         Left            =   3000
         Pattern         =   "*.dll;*.exe"
         TabIndex        =   3
         Top             =   360
         Width           =   2895
      End
      Begin VB.DirListBox dirDirectory 
         Height          =   2130
         Left            =   120
         TabIndex        =   2
         Top             =   840
         Width           =   2775
      End
      Begin VB.DriveListBox drvDrive 
         Height          =   345
         Left            =   120
         TabIndex        =   1
         Top             =   360
         Width           =   2775
      End
   End
   Begin VB.Frame fra 
      Caption         =   "Enthaltene Icons:"
      Height          =   1695
      Index           =   1
      Left            =   120
      TabIndex        =   4
      Top             =   3360
      Width           =   6015
      Begin VB.PictureBox picIcon 
         Appearance      =   0  '2D
         AutoRedraw      =   -1  'True
         BackColor       =   &H80000005&
         BorderStyle     =   0  'Kein
         ForeColor       =   &H80000008&
         Height          =   495
         Left            =   240
         ScaleHeight     =   495
         ScaleWidth      =   495
         TabIndex        =   9
         Top             =   840
         Width           =   495
      End
      Begin VB.ComboBox cboIcons 
         Height          =   345
         Left            =   3060
         Style           =   2  'Dropdown-Liste
         TabIndex        =   8
         Top             =   900
         Width           =   855
      End
      Begin VB.Label lblInfo 
         Caption         =   "links anzeigen lassen."
         Height          =   255
         Index           =   1
         Left            =   3960
         TabIndex        =   11
         Top             =   960
         Width           =   1935
      End
      Begin VB.Label lblInfo 
         Caption         =   "Icon Nummer"
         Height          =   225
         Index           =   0
         Left            =   1890
         TabIndex        =   10
         Top             =   960
         Width           =   1125
      End
      Begin VB.Label lblIconInfo 
         Caption         =   "Whlen Sie bitte eine Datei aus."
         Height          =   255
         Left            =   240
         TabIndex        =   5
         Top             =   360
         Width           =   5535
      End
   End
End
Attribute VB_Name = "frmOpenIcon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function DestroyIcon Lib "user32" (ByVal hIcon As Long) As Long
Private Declare Function DrawIcon Lib "user32" (ByVal hdc As Long, ByVal X As Long, ByVal Y As Long, ByVal hIcon As Long) As Long
Private Declare Function ExtractIcon Lib "shell32.dll" Alias "ExtractIconA" (ByVal hInst As Long, ByVal lpszExeFileName As String, ByVal nIconIndex As Long) As Long


Private Sub cboIcons_Change()

    If cboIcons.Text = "Keine" Then Exit Sub
    
    Dim lngIcon As Long 'Das Icon
       
    picIcon.Picture = LoadPicture("")
    lngIcon = ExtractIcon(App.hInstance, strFile, cboIcons.Text)
    DrawIcon picIcon.hdc, 0, 0, lngIcon
    DestroyIcon lngIcon

End Sub

Private Sub cboIcons_Click()

    Call cboIcons_Change

End Sub

Private Sub cboIcons_Scroll()

    Call cboIcons_Change

End Sub

Private Sub cmdMenu_Click(Index As Integer)

    Unload Me

End Sub

Private Sub dirDirectory_Change()

    filFile.Path = dirDirectory.Path

End Sub

Private Sub drvDrive_Change()

    dirDirectory.Path = drvDrive.Drive

End Sub

Private Sub filFile_Click()

    Dim strFile As String 'Der Pfad der Datei
    Dim intCount As Integer 'Der Zhler
    Dim intIconCount As Integer 'Die Anzahl der Icons
    Dim lngIcon As Long 'Das Icon
    
    strFile = filFile.Path & "\" & filFile.List(filFile.ListIndex)
    intIconCount = 0
    
    Do
        intIconCount = intIconCount + 1
        lngIcon = ExtractIcon(App.hInstance, strFile, intIconCount)
    Loop Until lngIcon = 0

    With cboIcons
        Select Case intIconCount
            Case 0
                lblIconInfo.Caption = "Die ausgewhlte Datei enthlt keine Icons."
                    .Clear
                    .AddItem "Keine"
                    .ListIndex = 0
                    picIcon.Picture = LoadPicture("")
                    Exit Sub
            Case 1
                lblIconInfo.Caption = "Die ausgewhlte Datei enthlt 1 Icon."
                    .Clear
                    .AddItem "1"
                    .ListIndex = 0
                        GoTo gotDrawIcon
            Case Else
                lblIconInfo.Caption = "Die ausgewhlte Datei enthlt " & intIconCount & " Icons."
                    .Clear
                    For intCount = 1 To intIconCount
                        .AddItem intCount
                    Next
                        .ListIndex = 0
                            GoTo gotDrawIcon
        End Select
    End With

gotDrawIcon:
    picIcon.Picture = LoadPicture("")
    lngIcon = ExtractIcon(App.hInstance, strFile, 0)
    DrawIcon picIcon.hdc, 0, 0, lngIcon
    DestroyIcon lngIcon

End Sub
